Bug 1321682 - gnome-tweak-tool can't select multiple versioned theme
Summary: gnome-tweak-tool can't select multiple versioned theme
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-tweak-tool
Version: 24
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Mohamed El Morabity
QA Contact: Fedora Extras Quality Assurance
URL: https://git.gnome.org/browse/gnome-tw...
Whiteboard:
Keywords: EasyFix
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-28 21:45 UTC by Heiko Adams
Modified: 2017-08-08 14:06 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-08-08 14:06:26 UTC


Attachments (Terms of Use)
Patch extracted from Gnome git (946 bytes, patch)
2016-04-14 20:37 UTC, Heiko Adams
no flags Details | Diff

Description Heiko Adams 2016-03-28 21:45:20 UTC
Description of problem:
With gnome-tweak-tool it is not possible to select a theme which has multiple versioned gtk3-themes (gtk-3.16, gtk-3.18, gtk-3.20). This has been fixed by upstream on 2016-03-24. It would be nice if that patch could be applied to Fedora's current gnome-tweak-tool package.

Version-Release number of selected component (if applicable):
$ rpm -q gnome-tweak-tool
gnome-tweak-tool-3.20.0-1.fc24.noarch

How reproducible:
allways

Steps to Reproduce:
1. Install a multiple versioned theme (i.e. https://github.com/tista500/Adapta) 
2. Open gnome-tweak-tool
3.

Actual results:
No gtk3 theme is found by gnome-tweak-tool

Expected results:
gnome-tweak-tool should also list the gtk3 theme

Additional info:
Setting a multiple versioned theme is currently only possible through gsettings on a terminal

Comment 1 Heiko Adams 2016-04-14 20:37 UTC
Created attachment 1147369 [details]
Patch extracted from Gnome git

I've extracted the patch fixing this issue from Gnome git so you just need to add it to the spec-file and rebuild the gnome-tweak-tool package

Comment 2 hemanth 2016-06-25 06:52:04 UTC
is it in progress or assigned

Comment 3 Fedora End Of Life 2017-07-25 20:25:08 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-08-08 14:06:26 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.